Summary:	An abstract library implementation of a VT220/xterm/ECMA-48 terminal emulator
Name:		libvterm
Version:	0.1.3
Release:	2
License:	MIT
Group:		Libraries
# using github mirror
# as it's just easier to get tarball
Source0:	https://github.com/neovim/libvterm/archive/65dbda3/%{name}-%{version}.tar.gz
# Source0-md5:	4b28b9a2bd73b558e97b627cfd559678
# https://launchpad.net/libvterm
URL:		http://www.leonerd.org.uk/code/libvterm/
BuildRequires:	gcc
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An abstract C99 library which implements a VT220 or xterm-like
terminal emulator. It doesn't use any particular graphics toolkit or
output system, instead it invokes callback function pointers that its
embedding program should provide it to draw on its behalf. It avoids
calling malloc() during normal running state, allowing it to be used
in embedded kernel situations.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -c %{name}-%{version}
mv %{name}-*/* .

%build
%{__make} \
	VERBOSE=1 \
	CFLAGS="%{optflags} -std=gnu99" \
	INCDIR="%{_includedir}" \
	LIBDIR="%{_libdir}" \
	MANDIR="%{_mandir}" \
	PREFIX="%{_prefix}" \

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
    CFLAGS="%{optflags} -std=gnu99" \
    INCDIR="%{_includedir}" \
    LIBDIR="%{_libdir}" \
    MANDIR="%{_mandir}" \
    PREFIX="%{_prefix}" \
    DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libvterm.a
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libvterm.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE
%attr(755,root,root) %{_bindir}/unterm
%attr(755,root,root) %{_bindir}/vterm-ctrl
%attr(755,root,root) %{_bindir}/vterm-dump
%attr(755,root,root) %{_libdir}/libvterm.so.*.*.*
%ghost %{_libdir}/libvterm.so.0

%files devel
%defattr(644,root,root,755)
%{_includedir}/vterm.h
%{_includedir}/vterm_keycodes.h
%{_libdir}/libvterm.so
%{_pkgconfigdir}/vterm.pc
%changelog
* Sun Jan 03 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libvterm.git;a=log;h=master

* Sun Jan 03 2021 Jan Rękorajski <baggins@pld-linux.org> 2b348a6
- release 2 (by relup.sh)

* Fri Nov 06 2020 Elan Ruusamäe <glen@pld-linux.org> 6dcb810
- Up to 0.1.3

* Sun Sep 18 2016 Elan Ruusamäe <glen@delfi.ee> 057213e
- new, version 0.1

